package com.bonus.canteen.core.supply.po;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DrpIntoInventoryListModel {
   @ApiModelProperty("入库记录id")
   private String intoId;
   @ApiModelProperty("入库时间")
   private LocalDateTime intoDate;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品编码")
   private String materialCode;

   public String getIntoId() {
      return this.intoId;
   }

   public LocalDateTime getIntoDate() {
      return this.intoDate;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setIntoDate(final LocalDateTime intoDate) {
      this.intoDate = intoDate;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }


   public String toString() {
      String var10000 = this.getIntoId();
      return "DrpIntoInventoryListModel(intoId=" + var10000 + ", intoDate=" + String.valueOf(this.getIntoDate()) + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", materialId=" + this.getMaterialId() + ", materialName=" + this.getMaterialName() + ", materialCode=" + this.getMaterialCode() + ")";
   }
}
